{% extends "layout.html.twig" %}
{% set adminMenu = true %}

{% block title %}Administration{% endblock %}

{% block content %}
    <h2 class="text-center">{{ block('title') }}</h2>
    {% for flashMessage in app.session.flashbag.get('success') %}
        <div class="alert alert-success">
            {{ flashMessage }}
        </div>
    {% endfor %}
    <div class="row">
        <div class="col-sm-8 col-sm-offset-2 col-md-6 col-md-offset-3">
            <ul class="nav nav-tabs nav-justified">
                <li class="active"><a href="#articles" data-toggle="tab">Chapitres</a></li>
                <li><a href="#comments" data-toggle="tab">Commentaires</a></li>
                <li><a href="#users" data-toggle="tab">Utilisateurs</a></li>
            </ul>
        </div>
    </div>
    <div class="tab-content">
        <div class="tab-pane fade in active adminTable" id="articles">
            {% if chapters %}
                <div class="table-responsive">
                    <table class="table table-hover table-condensed">
                        <thead>
                        <tr>
                            <th>Title</th>
                            <th>Content</th>
                            <th></th>  <!-- Actions column -->
                        </tr>
                        </thead>
                        {% for chapter in chapters %}
                            <tr>
                                <td><a class="articleTitle" href="{{ path('chapter', { 'id': chapter.id }) }}">{{ chapter.title }}</a></td>
                                <td>{{ chapter.content | truncate(60) }}</td>
                                <td>
                                    <a href="{{ path('admin_chapter_edit', { 'id': chapter.id }) }}" class="btn btn-info btn-xs" title="Edit"><span class="glyphicon glyphicon-edit"></span></a>
                                    <button type="button" class="btn btn-danger btn-xs" title="Delete" data-toggle="modal" data-target="#chapterDialog{{ chapter.id }}"><span class="glyphicon glyphicon-remove"></span>
                                    </button>
                                    <div class="modal fade" id="chapterDialog{{ chapter.id }}" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
                                        <div class="modal-dialog">
                                            <div class="modal-content">
                                                <div class="modal-header">
                                                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                                                    <h4 class="modal-title" id="myModalLabel">Confirmation needed</h4>
                                                </div>
                                                <div class="modal-body">
                                                    Do you really want to delete this article ?
                                                </div>
                                                <div class="modal-footer">
                                                    <button type="button" class="btn btn-default" data-dismiss="modal">Cancel</button>
                                                    <a href="{{ path('admin_chapter_delete', { 'id': article.id }) }}" class="btn btn-danger">Confirm</a>
                                                </div>
                                            </div><!-- /.modal-content -->
                                        </div><!-- /.modal-dialog -->
                                    </div><!-- /.modal -->
                                </td>
                            </tr>
                        {% endfor %}
                    </table>
                </div>
            {% else %}
                <div class="alert alert-warning">No articles found.</div>
            {% endif %}
            <a href="{{ path('admin_chapter_add') }}"><button type="button" class="btn btn-primary"><span class="glyphicon glyphicon-plus"></span> Add article</button></a>
        </div>
        <div class="tab-pane fade adminTable" id="comments">
            <!-- TODO Insérer ici le code de gestion des commentaires -->
            {% if comments %}
                <div class="table-responsive">
                    <table class="table table-hover table-condensed">
                        <thead>
                        <tr>
                            <th>Article</th>
                            <th>Author</th>
                            <th>Content</th>
                            <th></th>  <!-- Actions column -->
                        </tr>
                        </thead>
                        {% for comment in comments %}
                            <tr>
                                <td><a class="chapterTitle" href="{{ path('chapter', { 'id': comment.chapter.id }) }}">{{ comment.chapter.title }}</a></td>
                                <td>{{ comment.author.username }}</td>
                                <td>{{ comment.content | truncate(60) }}</td>
                                <td>
                                    <a href="{{ path('admin_comment_edit', { 'id': comment.id }) }}" class="btn btn-info btn-xs" title="Edit"><span class="glyphicon glyphicon-edit"></span></a>
                                    <button type="button" class="btn btn-danger btn-xs" title="Delete" data-toggle="modal" data-target="#commentDialog{{ comment.id }}"><span class="glyphicon glyphicon-remove"></span>
                                    </button>
                                    <div class="modal fade" id="commentDialog{{ comment.id }}" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
                                        <div class="modal-dialog">
                                            <div class="modal-content">
                                                <div class="modal-header">
                                                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                                                    <h4 class="modal-title" id="myModalLabel">Confirmation needed</h4>
                                                </div>
                                                <div class="modal-body">
                                                    Do you really want to delete this comment ?
                                                </div>
                                                <div class="modal-footer">
                                                    <button type="button" class="btn btn-default" data-dismiss="modal">Cancel</button>
                                                    <a href="{{ path('admin_comment_delete', { 'id': comment.id }) }}" class="btn btn-danger">Confirm</a>
                                                </div>
                                            </div><!-- /.modal-content -->
                                        </div><!-- /.modal-dialog -->
                                    </div><!-- /.modal -->
                                </td>
                            </tr>
                        {% endfor %}
                    </table>
                </div>
            {% else %}
                <div class="alert alert-warning">No comments found.</div>
            {% endif %}
        </div>
        <div class="tab-pane fade adminTable" id="users">
            <!-- TODO Insérer ici le code de gestion des utilisateurs -->
            {% if users %}
                <div class="table-responsive">
                    <table class="table table-hover table-condensed">
                        <thead>
                        <tr>
                            <th>Name</th>
                            <th>Role</th>
                            <th></th>  <!-- Actions column -->
                        </tr>
                        </thead>
                        {% for user in users %}
                            <tr>
                                <td>{{ user.username }}</a></td>
                                <td>
                                    {% if user.role == 'ROLE_ADMIN' %}
                                        Admin
                                    {% else %}
                                        User
                                    {% endif %}
                                </td>
                                <td>
                                    <a href="{{ path('admin_user_edit', { 'id': user.id }) }}" class="btn btn-info btn-xs" title="Edit"><span class="glyphicon glyphicon-edit"></span></a>
                                    <button type="button" class="btn btn-danger btn-xs" title="Delete" data-toggle="modal" data-target="#userDialog{{ user.id }}"><span class="glyphicon glyphicon-remove"></span>
                                    </button>
                                    <div class="modal fade" id="userDialog{{ user.id }}" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
                                        <div class="modal-dialog">
                                            <div class="modal-content">
                                                <div class="modal-header">
                                                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                                                    <h4 class="modal-title" id="myModalLabel">Confirmation needed</h4>
                                                </div>
                                                <div class="modal-body">
                                                    Do you really want to delete this user ?
                                                </div>
                                                <div class="modal-footer">
                                                    <button type="button" class="btn btn-default" data-dismiss="modal">Cancel</button>
                                                    <a href="{{ path('admin_user_delete', { 'id': user.id }) }}" class="btn btn-danger">Confirm</a>
                                                </div>
                                            </div><!-- /.modal-content -->
                                        </div><!-- /.modal-dialog -->
                                    </div><!-- /.modal -->
                                </td>
                            </tr>
                        {% endfor %}
                    </table>
                </div>
            {% else %}
                <div class="alert alert-warning">No users found.</div>
            {% endif %}
            <a href="{{ path('admin_user_add') }}"><button type="button" class="btn btn-primary"><span class="glyphicon glyphicon-plus"></span> Add user</button></a>
        </div>
    </div>
{% endblock %}
